Skip to content
Start here

List datasets

client.radar.datasets.list(DatasetListParams { datasetType, date, format, 2 more } query?, RequestOptionsoptions?): DatasetListResponse { datasets }
GET/radar/datasets

Retrieves a list of datasets.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: DatasetListParams { datasetType, date, format, 2 more }
datasetType?: "RANKING_BUCKET" | "REPORT"

Filters results by dataset type.

One of the following:
"RANKING_BUCKET"
"REPORT"
date?: string

Filters results by the specified date.

formatdate
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit?: number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset?: number

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
DatasetListResponse { datasets }
datasets: Array<Dataset>
id: number
description: string
meta: unknown
tags: Array<string>
title: string
type: string

List datasets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const datasets = await client.radar.datasets.list();

console.log(datasets.datasets);
{
  "result": {
    "datasets": [
      {
        "id": 3,
        "description": "This dataset contains a list of the op 20000 domains globally",
        "meta": {},
        "tags": [
          "global"
        ],
        "title": "Top bucket 20000 domains",
        "type": "RANKING_BUCKET"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "datasets": [
      {
        "id": 3,
        "description": "This dataset contains a list of the op 20000 domains globally",
        "meta": {},
        "tags": [
          "global"
        ],
        "title": "Top bucket 20000 domains",
        "type": "RANKING_BUCKET"
      }
    ]
  },
  "success": true
}